Introduction Effective 15 Dec 2025, IBM Cloud® Compliance Manager is deprecated. Any existing service instances are non-functional. Start your transition now to IBM Cloud Security and Compliance Center Workload Protection, which is readily available and offers advanced cloud security posture management CSPM. For more information, see Transitioning to IBM Cloud Security and Compliance Center Workload Protectionhttps://cloud.ibm.com/docs/security-compliance?topic=security-compliance-scc-transition. With IBM Cloud® Compliance Manager, you can embed security checks into your everyday workflows to continuously monitor for security vulnerabilities across multiple cloud environments. You can manage your current account settings such as the location in which the data that is generated by the service is stored and processed. For highly regulated industries, such as financial services, achieving continuous compliance within a cloud environment is an important first step toward protecting customer and application data. Historically, that process was difficult and manual, which placed your organization at risk. But, with Compliance Manager, you can integrate daily, automatic compliance checks into your development lifecycle to help minimize that risk. Before you get started with this API, you must first complete the initial set up. For help, see Getting started with Security and Compliance Centerhttps://cloud.ibm.com/docs/security-compliance?topic=security-compliance-getting-started. An SDK for Go is available to make it easier to programmatically access the API from your code. The client libraries that are provided by the SDKs implement best practices for using the API and reduce the amount of code that you need to write. The tab for each language includes code examples that demonstrate how to use the client libraries. For more information about using the SDKs, see the IBM Cloud SDK Common projecthttps://github.com/IBM/ibm-cloud-sdk-common on GitHub. Installing the Go SDK Go modules recommended: Add the following import in your code, and then run go build or go mod tidy. go import "github.com/IBM/scc-go-sdk/v5/securityandcompliancecenterapiv3" Go get go go get -u github.com/IBM/scc-go-sdk/v5/securityandcompliancecenterapiv3 View on GitHub https://github.com/IBM/scc-go-sdk Installing the Python SDK python pip install --upgrade "ibm-scc" View on GitHub: https://github.com/IBM/scc-python-sdk Installing the Java SDK java Maven Method Path Summary GET /instances/{instance_id}/v3/settings List settings PATCH /instances/{instance_id}/v3/settings Update settings POST /instances/{instance_id}/v3/test_event Create a test event GET /instances/{instance_id}/v3/attachments Get all instance attachments POST /instances/{instance_id}/v3/profiles/{profile_id}/attachments Create a profile attachment GET /instances/{instance_id}/v3/profiles/{profile_id}/attachments Get all attachments tied to a profile GET /instances/{instance_id}/v3/profiles/{profile_id}/attachments/{attachment_id} Get an attachment for a profile PUT /instances/{instance_id}/v3/profiles/{profile_id}/attachments/{attachment_id} Update an attachment DELETE /instances/{instance_id}/v3/profiles/{profile_id}/attachments/{attachment_id} Delete an attachment POST /instances/{instance_id}/v3/profiles/{profile_id}/attachments/{attachment_id}/upgrade Upgrade an attachment POST /instances/{instance_id}/v3/control_libraries Create a custom control library GET /instances/{instance_id}/v3/control_libraries Get all control libraries PUT /instances/{instance_id}/v3/control_libraries/{control_library_id} Update a custom control library GET /instances/{instance_id}/v3/control_libraries/{control_library_id} Get a control library DELETE /instances/{instance_id}/v3/control_libraries/{control_library_id} Delete a custom control library POST /instances/{instance_id}/v3/profiles Create a custom profile GET /instances/{instance_id}/v3/profiles Get all profiles PUT /instances/{instance_id}/v3/profiles/{profile_id} Update a custom profile GET /instances/{instance_id}/v3/profiles/{profile_id} Get a profile DELETE /instances/{instance_id}/v3/profiles/{profile_id} Delete a custom profile PUT /instances/{instance_id}/v3/profiles/{profile_id}/parameters Update custom profile parameters GET /instances/{instance_id}/v3/profiles/{profile_id}/parameters List profile parameters for a given profile GET /instances/{instance_id}/v3/profiles/{profile_id}/compare Compare profiles POST /instances/{instance_id}/v3/scopes Create a scope GET /instances/{instance_id}/v3/scopes Get all scopes PATCH /instances/{instance_id}/v3/scopes/{scope_id} Update a scope GET /instances/{instance_id}/v3/scopes/{scope_id} Get a scope DELETE /instances/{instance_id}/v3/scopes/{scope_id} Delete a scope POST /instances/{instance_id}/v3/scopes/{scope_id}/subscopes Create a subscope GET /instances/{instance_id}/v3/scopes/{scope_id}/subscopes Get all subscopes GET /instances/{instance_id}/v3/scopes/{scope_id}/subscopes/{subscope_id} Get a subscope PATCH /instances/{instance_id}/v3/scopes/{scope_id}/subscopes/{subscope_id} Update a subscope DELETE /instances/{instance_id}/v3/scopes/{scope_id}/subscopes/{subscope_id} Delete a subscope POST /instances/{instance_id}/v3/targets Create a target GET /instances/{instance_id}/v3/targets Get a list of targets with pagination GET /instances/{instance_id}/v3/targets/{target_id} Get a target by ID PUT /instances/{instance_id}/v3/targets/{target_id} replace a target by ID DELETE /instances/{instance_id}/v3/targets/{target_id} Delete a target by ID POST /instances/{instance_id}/v3/provider_types/{provider_type_id}/provider_type_instances Create a provider type instance GET /instances/{instance_id}/v3/provider_types/{provider_type_id}/provider_type_instances List instances of a specific provider type GET /instances/{instance_id}/v3/provider_types/{provider_type_id}/provider_type_instances/{provider_type_instance_id} Get a provider type instance PATCH /instances/{instance_id}/v3/provider_types/{provider_type_id}/provider_type_instances/{provider_type_instance_id} Update a provider type instance DELETE /instances/{instance_id}/v3/provider_types/{provider_type_id}/provider_type_instances/{provider_type_instance_id} Delete a provider type instance GET /instances/{instance_id}/v3/provider_types List provider types GET /instances/{instance_id}/v3/provider_types/{provider_type_id} Get a provider type GET /instances/{instance_id}/v3/reports/{report_id}/scan_reports/{job_id} Get a scan report GET /instances/{instance_id}/v3/reports/{report_id}/scan_reports/{job_id}/download Get a scan report details GET /instances/{instance_id}/v3/reports/latest List latest reports GET /instances/{instance_id}/v3/reports List reports GET /instances/{instance_id}/v3/reports/{report_id} Get a report GET /instances/{instance_id}/v3/reports/{report_id}/summary Get a report summary GET /instances/{instance_id}/v3/reports/{report_id}/download Get report evaluation details GET /instances/{instance_id}/v3/reports/{report_id}/controls Get report controls GET /instances/{instance_id}/v3/reports/{report_id}/rules/{rule_id} Get a report rule GET /instances/{instance_id}/v3/reports/{report_id}/evaluations List report evaluations GET /instances/{instance_id}/v3/reports/{report_id}/resources List report resources GET /instances/{instance_id}/v3/reports/{report_id}/tags List report tags GET /instances/{instance_id}/v3/reports/{report_id}/violations_drift Get report violations drift GET /instances/{instance_id}/v3/reports/{report_id}/scan_reports List scan reports POST /instances/{instance_id}/v3/reports/{report_id}/scan_reports Create a scan report POST /instances/{instance_id}/v3/scans Create a scan GET /instances/{instance_id}/v3/rules Get all rules POST /instances/{instance_id}/v3/rules Create a custom rule GET /instances/{instance_id}/v3/rules/{rule_id} Get a custom rule PUT /instances/{instance_id}/v3/rules/{rule_id} Update a custom rule DELETE /instances/{instance_id}/v3/rules/{rule_id} Delete a custom rule